/*******************************************************************************
* Copyright Reticular Systems Inc. 1997    All rights reserved.
* Proprietary Information, Property of Reticular Systems Inc.
* Filename : Product.java
*
* RCS: $Revision: 1.2 $  $Date: 1998/06/26 00:05:09 $  $Author: sandoval $ 
* Created by: Jim Donohoe -- Mon Jan 26 09:52:10 1998
*******************************************************************************/

package com.reticular.agents.buyerSeller;

/*******************************************************************************
* Description :  
* 
* 
* @author Jim Donohoe
*******************************************************************************/
public class Product implements Cloneable
{ 

//PUBLIC DATA

//PRIVATE DATA
   private String _name;
   private String _unitName;
   private float _unitPrice;
   private int _quantity;

//********************************PUBLIC METHODS********************************


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  Product( String name,  String unitName, float price )
   {
      _name = name;
      _unitName = unitName;
      _unitPrice = price;
      _quantity = 0;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return 
  * @author Eliseo Sandoval
  */
   public  Product( String name,  String unitName, float price, int quantity )
   {
      _name = name;
      _unitName = unitName;
      _unitPrice = price;
      _quantity = quantity;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getName( )
   {
      return _name;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setName( String name )
   {
      _name = name;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getUnitName( )
   {
      return _unitName;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setUnitName( String unitName )
   {
      _unitName = unitName;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return float  
  * @exception 
  * @author Jim Donohoe
  */
   public float getUnitPrice( )
   {
      return _unitPrice;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setUnitPrice( float price )
   {
      _unitPrice = price;
   }
 
/**
  * Description : 
  * 
  *   
  * @param 
  * @return int
  * @author Eliseo Sandoval
  */
   public int getQuantity( )
   {
      return _quantity;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return void
  * @author Eliseo Sandoval
  */
   public void setQuantity( int quantity )
   {
      _quantity = quantity;
   }
   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return String
  * @author Jim Donohoe
  */
   public String toString( )
   {
      return "Name = " +_name + ", Price = " + _unitPrice + "/" + _unitName +
             ", Quantity: " + _quantity;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return Object  
  * @exception 
  * @author Jim Donohoe
  */
   public Object clone( )
   {
      return new Product( _name, _unitName,  _unitPrice , _quantity );
   }

   
//********************************PRIVATE METHODS*******************************

}

/*******************************************************************************
 End of : Product.java
*******************************************************************************/
